Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
google-gadgets-0.9.2 build error AMD64 [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Progman3K
l33t
l33t


Joined: 03 Jan 2004
Posts: 665

PostPosted: Sun Jun 08, 2008 6:06 pm    Post subject: google-gadgets-0.9.2 build error AMD64 [SOLVED] Reply with quote

Quote:
* Since >=x11-libs/qt-core-4.4.0 and related packages are package.masked
* pending updates to the tree, the qt backend for google-gadgets will not be built
* unless you unmask the qt dependencies of this package and add
* x11-misc/google-gadgets qt4
* to /etc/portage/profile/package.use.force
* Congratulations! Your net-misc/curl is configured correctly to run
* google-gadgets. Not many can say that.
>>> Unpacking source...
>>> Unpacking google-gadgets-for-linux-0.9.2.tar.gz to /var/tmp/portage/x11-misc/google-gadgets-0.9.2/work
* Running elibtoolize in: google-gadgets-for-linux-0.9.2/libltdl
* Applying portage-1.5.10.patch ...
* Applying sed-1.5.6.patch ...
* Running elibtoolize in: google-gadgets-for-linux-0.9.2/autotools
* Applying portage-1.5.10.patch ...
* Applying sed-1.5.6.patch ...
* Running eautoreconf in '/var/tmp/portage/x11-misc/google-gadgets-0.9.2/work/google-gadgets-for-linux-0.9.2/libltdl' ...
* eaclocal: 'libltdl' does not exist
* Running aclocal -I libltdl ...
[ !! ]

* Failed Running aclocal !
*



/var/tmp/portage/x11-misc/google-gadgets-0.9.2/temp/aclocal-19603.out
Quote:
***** aclocal *****
***** aclocal -I libltdl

acinclude.m4:6593: the serial number must appear before any macro definition
aclocal-1.10: couldn't open directory `libltdl': No such file or directory


There are some files with `libltdl' in their names on the filesystem:
Quote:

/usr/lib32/libltdl.so
/usr/lib32/libltdl.so.3
/usr/lib32/libltdl.so.3.1.6
/usr/lib64/libltdl.a
/usr/lib64/libltdl.la
/usr/lib64/libltdl.so
/usr/lib64/libltdl.so.3
/usr/lib64/libltdl.so.3.1.6


Any idea what could be wrong?
Thanks!


Last edited by Progman3K on Tue Jun 10, 2008 10:31 am; edited 1 time in total
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Jun 10, 2008 6:27 am    Post subject: Reply with quote

Sync your portage tree and try 0.9.2-r1
It's not keyworded for amd64 either, but does compile and work fine.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Progman3K
l33t
l33t


Joined: 03 Jan 2004
Posts: 665

PostPosted: Tue Jun 10, 2008 10:31 am    Post subject: solved! Reply with quote

Thanks! That did the trick!
It builds.
Now to test it out!

Thanks again
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum